var $cIeY2$redux = require("redux");
var $cIeY2$reactredux = require("react-redux");

function $parcel$exportWildcard(dest, source) {
  Object.keys(source).forEach(function(key) {
    if (key === 'default' || key === '__esModule' || dest.hasOwnProperty(key)) {
      return;
    }

    Object.defineProperty(dest, key, {
      enumerable: true,
      get: function get() {
        return source[key];
      }
    });
  });

  return dest;
}
function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}
var $1b27c7815896ec1f$exports = {};

$parcel$export($1b27c7815896ec1f$exports, "create", () => $1b27c7815896ec1f$export$185802fd694ee1f5);

function $a43e4bbc91e14557$export$f6e2535fb5126e54(x) {
    return !!x && ({}).toString.call(x) === "[object Function]";
}
function $a43e4bbc91e14557$export$b7d58db314e0ac27(state) {
    return JSON.parse(JSON.stringify(state));
}


function $281eb7999554c83e$export$c05788145fdaa7d2(fns, prefix = "") {
    let result = {};
    for(const name in fns){
        const fn = fns[name];
        if ((0, $a43e4bbc91e14557$export$f6e2535fb5126e54)(fn)) result[prefix + name] = fn;
        else result = {
            ...result,
            ...$281eb7999554c83e$export$c05788145fdaa7d2(fn, prefix + name + ".")
        };
    }
    return result;
}



function $a642ae1356f93674$export$57a05b41de80a346(store, handlers, prefix = "") {
    const actions = {};
    for(const name in handlers){
        const handler = handlers[name];
        const fn = (...args)=>{
            store.dispatch({
                type: prefix + name,
                args: args
            });
        };
        actions[name] = (0, $a43e4bbc91e14557$export$f6e2535fb5126e54)(handler) ? fn : $a642ae1356f93674$export$57a05b41de80a346(store, handler, prefix + name + ".");
    }
    return actions;
}



function $4ab03058cb8900f1$export$6045d6b4fe95f0af(initialState, handlers) {
    return (state = initialState, action)=>{
        for(const name in handlers)if (action.type == name) {
            state = (0, $a43e4bbc91e14557$export$b7d58db314e0ac27)(state);
            state = handlers[name](state, ...action.args) || state;
            return state;
        }
        return state;
    };
}




function $3184fec65f26f38e$export$1443d73f252e1252(store, getters) {
    const selectors = {};
    for(const name in getters){
        const getter = getters[name];
        const fn = (...args)=>{
            return (0, $cIeY2$reactredux.useSelector)((state)=>getter(state, ...args));
        };
        selectors[name] = (0, $a43e4bbc91e14557$export$f6e2535fb5126e54)(getter) ? fn : $3184fec65f26f38e$export$1443d73f252e1252(store, getter);
    }
    return selectors;
}


function $1b27c7815896ec1f$export$185802fd694ee1f5(initialState, { handlers: handlers , getters: getters  }) {
    const store = (0, $cIeY2$redux.legacy_createStore)((0, $4ab03058cb8900f1$export$6045d6b4fe95f0af)(initialState, (0, $281eb7999554c83e$export$c05788145fdaa7d2)(handlers)), $1b27c7815896ec1f$var$getReduxDevtoolsReducer());
    const actions = (0, $a642ae1356f93674$export$57a05b41de80a346)(store, handlers);
    const selectors = (0, $3184fec65f26f38e$export$1443d73f252e1252)(store, getters);
    return {
        store: store,
        actions: actions,
        selectors: selectors
    };
}
function $1b27c7815896ec1f$var$getReduxDevtoolsReducer() {
    try {
        return window.__REDUX_DEVTOOLS_EXTENSION__();
    } catch  {
        return undefined;
    }
}


var $b3aeb76a4670c294$exports = {};


$parcel$exportWildcard(module.exports, $1b27c7815896ec1f$exports);
$parcel$exportWildcard(module.exports, $b3aeb76a4670c294$exports);


//# sourceMappingURL=index.js.map
