import {legacy_createStore as $g8a0D$legacy_createStore} from "redux";
import {useSelector as $g8a0D$useSelector} from "react-redux";

function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}
var $631675c2ec7a3659$exports = {};

$parcel$export($631675c2ec7a3659$exports, "create", () => $631675c2ec7a3659$export$185802fd694ee1f5);

function $8144b28c31f064c5$export$f6e2535fb5126e54(x) {
    return !!x && ({}).toString.call(x) === "[object Function]";
}
function $8144b28c31f064c5$export$b7d58db314e0ac27(state) {
    return JSON.parse(JSON.stringify(state));
}


function $3c299a0c409d7968$export$c05788145fdaa7d2(fns, prefix = "") {
    let result = {};
    for(const name in fns){
        const fn = fns[name];
        if ((0, $8144b28c31f064c5$export$f6e2535fb5126e54)(fn)) result[prefix + name] = fn;
        else result = {
            ...result,
            ...$3c299a0c409d7968$export$c05788145fdaa7d2(fn, prefix + name + ".")
        };
    }
    return result;
}



function $229db979b2a00ecc$export$57a05b41de80a346(store, handlers, prefix = "") {
    const actions = {};
    for(const name in handlers){
        const handler = handlers[name];
        const fn = (...args)=>{
            store.dispatch({
                type: prefix + name,
                args: args
            });
        };
        actions[name] = (0, $8144b28c31f064c5$export$f6e2535fb5126e54)(handler) ? fn : $229db979b2a00ecc$export$57a05b41de80a346(store, handler, prefix + name + ".");
    }
    return actions;
}



function $0febb8b1f44aeaa1$export$6045d6b4fe95f0af(initialState, handlers) {
    return (state = initialState, action)=>{
        for(const name in handlers)if (action.type == name) {
            state = (0, $8144b28c31f064c5$export$b7d58db314e0ac27)(state);
            state = handlers[name](state, ...action.args) || state;
            return state;
        }
        return state;
    };
}




function $c96f73cb062f91b6$export$1443d73f252e1252(store, getters) {
    const selectors = {};
    for(const name in getters){
        const getter = getters[name];
        const fn = (...args)=>{
            return (0, $g8a0D$useSelector)((state)=>getter(state, ...args));
        };
        selectors[name] = (0, $8144b28c31f064c5$export$f6e2535fb5126e54)(getter) ? fn : $c96f73cb062f91b6$export$1443d73f252e1252(store, getter);
    }
    return selectors;
}


function $631675c2ec7a3659$export$185802fd694ee1f5(initialState, { handlers: handlers , getters: getters  }) {
    const store = (0, $g8a0D$legacy_createStore)((0, $0febb8b1f44aeaa1$export$6045d6b4fe95f0af)(initialState, (0, $3c299a0c409d7968$export$c05788145fdaa7d2)(handlers)), $631675c2ec7a3659$var$getReduxDevtoolsReducer());
    const actions = (0, $229db979b2a00ecc$export$57a05b41de80a346)(store, handlers);
    const selectors = (0, $c96f73cb062f91b6$export$1443d73f252e1252)(store, getters);
    return {
        store: store,
        actions: actions,
        selectors: selectors
    };
}
function $631675c2ec7a3659$var$getReduxDevtoolsReducer() {
    try {
        return window.__REDUX_DEVTOOLS_EXTENSION__();
    } catch  {
        return undefined;
    }
}


var $38062e4c1898990e$exports = {};




export {$631675c2ec7a3659$export$185802fd694ee1f5 as create};
//# sourceMappingURL=module.js.map
